import React, { ReactElement, ReactNode } from "react";
import { SyntaxHighlighterProps } from "react-syntax-highlighter";
export interface ICodeLine extends SyntaxHighlighterProps {
  text: string;
}
/**
 * Returns only the components that are strings
 */
export declare function getStringComponentsOrChildren(
  components: ReactNode
): any[];
/**
 * Transforms a component into ICodeLines[]
 * @unused
 */
export declare function getCodeLines(
  component: ReactNode | string
): ICodeLine[] | undefined;
/**
 * Returns how many `base` elements fits in `target` element
 * @unused
 */
export declare function getHowManyFitIn(
  base: HTMLElement,
  target: HTMLElement
): number;
export interface IAnimationStylesConfig {
  reverse: boolean;
  play: boolean;
  speed: number;
  delay: number;
  timingFunction: React.CSSProperties["animationTimingFunction"];
  iterationCount: React.CSSProperties["animationIterationCount"];
  direction: React.CSSProperties["animationDirection"];
}
export declare function getScrollAnimationStyles(
  container: HTMLElement | null | number,
  config: Partial<IAnimationStylesConfig>
): React.CSSProperties;
/**
 * Returns an array of *`length`* elements *`el`*
 */
export declare function getClonesComponentsArray(
  el: ReactElement,
  length: number,
  keySuffix: string
): React.ReactElement<any, string | React.JSXElementConstructor<any>>[];
